VkPhysicalDeviceMemoryProperties Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPhysicalDeviceMemoryProperties:
[legend]

## Data Fields

uint32_t | memoryTypeCount
VkMemoryType | memoryTypes [VK_MAX_MEMORY_TYPES]
uint32_t | memoryHeapCount
VkMemoryHeap | memoryHeaps [VK_MAX_MEMORY_HEAPS]

## Detailed Description

Definition at line 1652 of file vulkan.h.

## Field Documentation

## memoryHeapCount

uint32_t VkPhysicalDeviceMemoryProperties::memoryHeapCount

Definition at line 1655 of file vulkan.h.

## memoryHeaps

VkMemoryHeap VkPhysicalDeviceMemoryProperties::memoryHeaps[VK_MAX_MEMORY_HEAPS]

Definition at line 1656 of file vulkan.h.

## memoryTypeCount

uint32_t VkPhysicalDeviceMemoryProperties::memoryTypeCount

Definition at line 1653 of file vulkan.h.

## memoryTypes

VkMemoryType VkPhysicalDeviceMemoryProperties::memoryTypes[VK_MAX_MEMORY_TYPES]

Definition at line 1654 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h